### Function

# EDataServer memchunk_free

#### Declaration [src]

    void
    e_memchunk_free (
      EMemChunk* memchunk,
      gpointer mem
    )

#### Description [src]

Free a single atom back to the free pool of atoms in the given memchunk.

This function is not directly available to language bindings.

#### Parameters

`memchunk`

  Type: `EMemChunk`

  An `EMemChunk`.

  The data is owned by the caller of the function.

`mem`

  Type: `gpointer`

  Address of atom to free.

  The argument can be `NULL`.
  The data is owned by the caller of the function.